Side 1 af 2

pythonfejl ved brug af kortforsyningen og datafordeler plugin

: ons 30. maj 2018 11:54
af Lars Christensen
Jeg får en fejl når jeg forsøger at tilknytte temaer fra kortforsyningspluginnet eller datafordelerpluginnet.

jeg har forsøgt at afinstallere/geninstallere plugin og jeg har forsøgt at geninstallere QGIS...

fejlen opstår i QGIS 2.18.20, - men har også installeret QGIS 3.0 og OSGeoW4 pakken.

fejlen ser ud som følger:

Traceback (most recent call last):
File "C:/Users/larcht/.qgis2/python/plugins\Kortforsyningen\kortforsyningen.py", line 156, in <lambda>
kf_helper = lambda _id: lambda: self.open_kf_node(_id)
File "C:/Users/larcht/.qgis2/python/plugins\Kortforsyningen\kortforsyningen.py", line 222, in open_kf_node
layer = self.open_node(node, id)
File "C:/Users/larcht/.qgis2/python/plugins\Kortforsyningen\kortforsyningen.py", line 225, in open_node
QgsProject.instance().read(node)
File "C:/Users/larcht/.qgis2/python/plugins\profiletool\apicompat\qgsproject.py", line 55, in read
return original_QgsProject_read(self, QFileInfo(filename))
TypeError: arguments did not match any overloaded call:
QFileInfo(): too many arguments
QFileInfo(QString): argument 1 has unexpected type 'QDomNode'
QFileInfo(QFile): argument 1 has unexpected type 'QDomNode'
QFileInfo(QDir, QString): argument 1 has unexpected type 'QDomNode'
QFileInfo(QFileInfo): argument 1 has unexpected type 'QDomNode'



jeg får ikke lagene tilknyttet!
Fejlen optræder kun på min pc, min kollegas pc virker ok

Nogen der har prøvet noget lignende og har en løsning?

mvh Lars C

Re: pythonfejl ved brug af kortforsyningen og datafordeler plugin

: man 11. jun 2018 12:11
af JetteBælum
Jeg får nøjagtig samme fejl, så er nysgerrig efter at se en løsning :-)

Re: pythonfejl ved brug af kortforsyningen og datafordeler plugin

: tirs 12. jun 2018 09:35
af Christoffer Nielsen
Optræder fejlen kun i QGIS 2.18 eller også i QGIS 3?
For så kunne det evt. være fordi Kortforsyningen har opdateret pluginnet, så det ikke længere er kompatibelt med gamle QGIS-versioner.

Re: pythonfejl ved brug af kortforsyningen og datafordeler plugin

: tirs 26. jun 2018 08:21
af JetteBælum
Jeg har fået det til at virke i 3.0.3 :-) men ikke i 2.18.20.

Re: pythonfejl ved brug af kortforsyningen og datafordeler plugin

: tors 28. jun 2018 09:51
af Morten Storm
Samme fejl optræder hos mig - kun i QGIS 2.18.13 - og har gjort det i en go' uges tid! Før da ingen problemer!

Kortforsyningsplugin'et fungerer perfekt i QGIS 3.2 på samme pc!

Re: pythonfejl ved brug af kortforsyningen og datafordeler plugin

: fre 29. jun 2018 13:26
af Jeanne MHJ
Vi får samme fejl i QGIS 2.18.20.
Fejlen kommer dog ikke når jeg åbner et eksisterende projekt som har et lag fra kortforsyningsplugin'et i sig i forvejen.

Re: pythonfejl ved brug af kortforsyningen og datafordeler plugin

: fre 29. jun 2018 14:02
af Morten Storm
Jeg har snakket med Tom Weber hos Kortforsyningen om problemet i går - og de er meget interesserede i at høre mere om problem og omfang!

I første omgang tænker de, at det er mest sandsynligt, at det har noget med opsætningen på den enkelte pc at gøre (hvilket jeg også i første omgang tænkte var det mest sandsynlige) - men omvendt synes jeg, at antallet af personer, som herinde melder om præcis den samme fejl, kunne indikere noget andet!

Så derfor: Hvis du kender andre, som oplever denne fejl, så bed dem venligst rapportere det herinde, så vi kan få belyst omfanget, og dermed måske få overbevist Kortforsyningen om, at sagen skal undersøges nærmere! ;)

Re: pythonfejl ved brug af kortforsyningen og datafordeler plugin

: man 2. jul 2018 08:26
af Ellebjerg
Jeg har ikke haft dette problem med plugin til kortforsyningen, hverken i 2.18.18, 3.0 eller 3.2, men jeg havde det indtil torsdag med datafordeleren i 2.18.18. Nu virker datafordeleren også efter opgradering til 2.18.21.

Findes datafordeleren til 3.2? Jeg kan ikke se den i plugin-listen.

Re: pythonfejl ved brug af kortforsyningen og datafordeler plugin

: tors 5. jul 2018 11:34
af Jeanne MHJ
Nu er ingen lag i plugin'et synligt. Og går jeg ind under indstillinger og trykker ok får jeg denne fejl: Network Error: Remote qlrError downloading https://apps2.kortforsyningen.dk/qgis_k ... g_data.qlr - server replied: Service Unavailable: Check connection and click menu Kortforsyningen->Settings->OK

Re: pythonfejl ved brug af kortforsyningen og datafordeler plugin

: man 9. jul 2018 21:30
af Bernd Uthoff
Samme fejl her, på Windows 10 PC med QGIS 3.0 og 3.2 og på Mac (10.13.6 High Sierra)
......... Service Unavailable: Check connection and click menu Kortforsyningen->Settings->OK[/quote]......

Kortforsyningen fungerer fint med en ny installeret 2.18.21 QGIS version på Windows PC, (ved siden af ver. 3.2 - som ikke fungerer) :?